What Is SPS

The Standard Proposal System (SPS) is a business tool designed to facilitate cost proposal organization, preparation, control, communication and analysis by incorporating the seamless integration of all quantitative processes. At its heart is a relational database in which proposal data is stored and from which it's retrieved and used by the System. The System includes the following :

• Proposal Builder for Large Business

• Proposal Builder for Small Business

• Ancillary Proposal Builder Data Entry Utility

• System-generated Validation Model that can be used to check the completeness and accuracy of proposal data, as well as for real-time sensitivity analysis and as a negotiation aid

• Proposal Analyzer that can be used to generate loaded rate and proposal comparison worksheets, as well as for real-time sensitivity analysis

While data is entered and stored in the System using conventional processes, it's translated by the System’s Proposal Builders into the DoD Electronic Data Interchange (EDI) Conventions for a Contract Pricing Proposal (i.e., American National Standards Institute (ANSI) Accredited Standards Committee (ASC) X12 Transaction Sets 805 and 251). Besides allowing the user to communicate internally and externally in a very efficient manner right now, the System speaks the proposal language DoD and a team of business partners developed for future use, so the user is positioned to transition smoothly into the world of electronic data interchange with DoD and other users.

Although developed for DoD Systems Contracting purposes, the subject ANSI standards are relevant for any type of Systems Contracting. The more complex the proposal and the more disparate the estimating practices of the parties involved, the more useful the subject ANSI standards become.

Using the subject ANSI standards, as implemented by SPS, provides clear advantages when communicating quantitative data by facilitating common understanding between:

• Individuals Within Functional Groups

• Functional Groups Within Business Units

• Functional Groups and Management

• Different Levels of Management

• Divisions Within Corporations

• Corporations

• Domestic Suppliers and Buyers

• Foreign Suppliers and Buyers

The quantitative syntax and vocabulary are the same for all parties, so they all speak the same quantitative language, and SPS organizes that language into a readily understandable quantitative narrative.

The System has been designed to be easy to use. Most operations are intuitive and require little, if any, special knowledge to accomplish. Context-sensitive help is available for every System operation and object. While using the System, to display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the F1 key while the object is active. An understanding of the few complex System operations, such as defining proposal cost logic in terms of Transaction Data Set 805 requirements, can be obtained by reviewing the sample proposals and related instructions that are included with the SPS Proposal Builder applications.


Learning by Doing

The new System user can quickly and easily become familiar with the Proposal Analyzer's mechanics by working through the outline provided as part of On-Line Help. Click the Contents Tab and then open the Using the System Book to begin. Other On-Line Help Books expand upon the procedures introduced in Using the System and can be reviewed for more detailed information, as needed.


License Agreement

END-USER LICENSE AGREEMENT FOR SBCOMSOFT SOFTWARE

The End-User License Agreement (EULA), as displayed during product activation and accepted by the user as a requirement for successful activation, can be reviewed using Menu sequence Sps Menu Items | AppHelp | About Sps | Display License Agreement.


Using the System Overview

This Book provides a step-by-step outline of the actions that need to be taken to analyze a proposal using the System's Proposal Analyzer. For new users, it provides an opportunity to learn by doing and to see how the whole System ties together in actual practice. For experienced users, it can be used as a quick reference. Other On-Line Help Books expand upon the procedures outlined here and can be reviewed, as needed.


Using the System By the Numbers

1. Install and activate the System as explained in the documentation shipped with the product.

2. Make working copies of sample proposal sp1.xlsm, as follows:

· Open MS Excel using your normal method.

· Using MS Excel, locate and open Sps System file sp1.xlsm. Note that the subject file should reside in the \Proposals\Samples folder of the subdirectory in which the Sps System files were installed.

· Save sp1.xlsm As sp1w1.xlsm. Use this first working copy for familiarization purposes.

· Save sp1w1.xlsm As sp1w2.xlsm. Use this second working copy for familiarization purposes.

· Close sp1w2.xlsm. No Workbook should now be open in MS Excel.

3. Open the System's Proposal Analyzer, as follows:

· Using MS Excel, locate and open the Sps Proposal Analyzer (SpsPA##.xlsm). Note that the subject file should reside in the subdirectory in which the Sps System files were installed.

· Notice that a new Tab Sps Menu Items has been added on the right side of the Ribbon (Menu Bar). This new Tab contains the controls that are used to initiate various Proposal Analyzer operations.

4. Open sample proposal sp1w1.xlsm by running OpenProp from the Sps Menu Items Tab.

· Notice that opening the proposal has enabled Menu Item PropOps, that provides access to several proposal operations, and has disabled OpenProp and PerformComps. A proposal must be opened before the Proposal Analyzer can work with it and only one proposal at a time can be open in the Proposal Analyzer.

5. Observe that the Workbook has six core Worksheets, as shown in separate Tabs at the bottom of the display. Each System Workbook has a structure that is common for all proposals.

· The Summary Worksheet should be active. If not, left-click on the Summary Worksheet Tab to activate it. The Cost Elements shown in Column A of the subject Worksheet were derived based upon the cost logic defined using the System's Proposal Builder. The proposal periods were also defined using the System's Proposal Builder. For each proposal period there is separate column for Base, Rate and Amount. All Base values are derived from references to the SyBases Worksheet, while all Rate values are derived from references to the SyRates Worksheet. All Amount values are derived from formulas. The Summary Worksheet is a collector Worksheet and should never be changed directly by the user. Any changes can corrupt the Worksheet and cause invalid results.

· Left-click on the SyBases Worksheet Tab to activate it. The Base Elements shown in Column A represent all direct input elements, as defined using the System's Proposal Builder. The last column with entries, Element Codes, displays the unique codes associated with the corresponding Base Elements. Notice that there is a separate column for each proposal period, but no values are shown initially. This is because the SyBases Worksheet collects data from the Bases Worksheet based on the structure item selected by the user, and no structure item has been selected yet. The SyBases Worksheet is overwritten each time a different structure item is selected. For analysis purposes, the user should make changes only to the values for the proposal periods. Any other changes can corrupt the Worksheet and cause invalid results.

· Left-click on the SyRates Worksheet Tab to activate it. Its structure is similar to the SyBases Worksheet. The Rate Elements shown in Column A represent all Rate elements, as defined using the System's Proposal Builder. The last column with entries, Element Codes, displays the unique codes associated with the corresponding Rate Elements. Notice that there is a separate column for each proposal period and the values are shown initially. This is because the proposal has only one set of rates that is used for all structure items. For analysis purposes, the user should make changes only to the values for the proposal periods. Any other changes can corrupt the Worksheet and cause invalid results.

· Left-click on the Bases Worksheet Tab to activate it. The Bases Worksheet includes cost element data as entered by Task in the System's Proposal Builder, so there can be multiple entries for the same cost element and structure items. Since the ANSI Standard doesn't include a Task Data Element, the Tasks are not identified in the Bases Worksheet. To make changing data more manageable by grouping it logically, the Proposal Analyzer includes a sort operation PropOps | SortBasesWorksheet that can be used to organize data by various cost element and structure combinations. The Bases Worksheet can, and should, be sorted whenever needed to meet the user's needs. When the user selects a structure item, the System parses the entire Bases Worksheet, collects the appropriate data and feeds it into the SyBases Worksheet. For analysis purposes, the user should make changes only to the values for the proposal periods. Any other changes can corrupt the Worksheet and cause invalid results.

· Left-click on the Structure Worksheet Tab to activate it. The Structure Worksheet contains all proposal structure items (i.e., CLIN, WBS and SOW) as defined using the System's Proposal Builder. The System uses the Structure Worksheet for reference purposes only. It should never be changed directly by the user. Any changes can cause the Proposal Analyzer to generate invalid results.

· Left-click on the AdmnData Worksheet Tab to activate it. The AdmnData Worksheet contains administrative and narrative data entered into the proposal using the Proposal Builder. The Proposal Analyzer doesn't currently use this non-quantitative information. It is included in the Workbook, however, since it's part of the proposal database and may be used in the future.

6. Left-click on the Summary Worksheet Tab to activate it. Scroll down to the Total Price Cost Element and then scroll right to the Totals Amount Column. Note that all Base and Amount values are zero (0). Now run PropOps | SelectStructureItem from the main Menu Bar. Select the Total Proposal Button for Structure and the Total Non-Recurring & Recurring Button for Segment; then, click the OK Button. Scroll around the Summary Worksheet and observe that the System has computed all values for the applicable structure item and segment. Left-click on the SyBases Worksheet and observe that it contains all base values for the subject structure item and segment. Remember the SyRates Worksheet values are the same for all structure items and segments. Run PropOps | SelectStructureItem for several other structure items and segments, and observe the newly computed values for the Summary and SyBases Worksheets.

7. Left-click on the Summary Worksheet Tab to activate it. Scroll down to the Total Price Cost Element and then scroll right to the Totals Amount Column. Run PropOps | SelectStructureItem from the main Menu Bar. Select the Total Proposal Button for Structure and the Total Non-Recurring & Recurring Button for Segment; then, click the OK Button. Make a note of the Total Price Amount. Left-click on the SyBases Worksheet Tab to activate it. Change any value(s) in the SyBases Worksheet. Left-click on the Summary Worksheet Tab to activate it. Observe that the Total Price Amount, as well as all other affected values, have been changed to reflect the changes made to the SyBases Worksheet. As desired, make other changes to SyBases Worksheet values and observe the automatic changes to Summary Worksheet values. This is a simple method to perform real-time sensitivity analyses on any structure item's bases and to see the results immediately. Note, however, that SyBases Worksheet values are overwritten each time PropOps | SelectStructureItem is run. Often there is no need to save base value changes. However, if saving such changes is desired, the System provides another method of performing sensitivity analysis (i.e., changing Bases Worksheet values) that accomplishes this end. The latter method is described later.

8. Left-click on the Summary Worksheet Tab to activate it. Scroll down to the Total Price Cost Element and then scroll right to the Totals Amount Column. Run PropOps | SelectStructureItem from the main Menu Bar. Select the Total Proposal Button for Structure and the Total Non-Recurring & Recurring Button for Segment; then, click the OK Button. Make a note of the Total Price Amount. Left-click on the SyRates Worksheet Tab to activate it. Change any value(s) in the SyRates Worksheet. Left-click on the Summary Worksheet Tab to activate it. Observe that the Total Price Amount, as well as all other affected values, have been changed to reflect the changes made to the SyRates Worksheet. As desired, make other changes to SyRates Worksheet values and observe the automatic changes to Summary Worksheet values. This is a simple method to perform real-time sensitivity analyses on any structure item's rates and to see the results immediately. Note that, unlike SyBases Worksheet values that are overwritten each time PropOps | SelectStructureItem is run, SyRates Worksheet values are not overwritten. This is because the same rates are used for all structure items and segments. Rate changes can be saved in the SyRates Worksheet itself.

9. As already noted above, making changes to the SyBases Worksheet provides a simple method of performing real-time sensitivity analyses, but with the limitation that the changes can't be saved to the Worksheet. A workaround could be to make a copy of the changed Worksheet and then save the copy. However, this approach would tend to clutter the Workbook with Worksheets and lacks flexibility as regards future changes. A better approach is to make changes to the Bases Worksheet and to save the changes. Left-click on the Summary Worksheet Tab to activate it. Scroll down to the Total Price Cost Element and then scroll right to the Totals Amount Column. Run PropOps | SelectStructureItem from the main Menu Bar. Select the Total Proposal Button for Structure and the Total Non-Recurring & Recurring Button for Segment; then, click the OK Button. Make a note of the Total Price Amount. Left-click on the Bases Worksheet Tab to activate it. The Bases Worksheet includes cost element data as entered by Task in the System's Proposal Builder, so there can be multiple entries for the same cost elements and structure items. Since the ANSI Standard doesn't include a Task Data Element, the Tasks are not identified in the Bases Worksheet. To make changing data more manageable by grouping it logically, the Proposal Analyzer includes a sort operation PropOps | SortBasesWorksheet that can be used to organize data by various cost element and structure combinations. The Bases Worksheet can, and should, be sorted whenever needed to meet the user's needs. Run PropOps | SortBasesWorksheet several times, selecting different sort orders from the Select Sort Order Dialog Box list. Observe the results of the different sort orders. The sort order you choose should be the one most suitable for purposes of your particular real-time sensitivity analysis. For example, if you have performed a technical analyses by WBS Item by cost element, sorting by WBS Items by Cost Element would be the logical sort order for making changes to the Bases Worksheet. Note that changes should be made only to period values. Other changes may cause the System to generate erroneous values or even to fail entirely. Now change any period value(s) in the Bases Worksheet. Left-click on the Summary Worksheet Tab to activate it. Observe that neither the Total Price Amount nor any other values have been changed to reflect the changes made to the Bases Worksheet. This behavior is different than that associated with changes to the SyBases Worksheet where the Summary Worksheet is changed immediately. Now run PropOps | SelectStructureItem from the main Menu Bar. Again, select the Total Proposal Button for Structure and the Total Non-Recurring & Recurring Button for Segment; then, click the OK Button. Note that the Total Price Amount, as well as all other affected values, have been changed to reflect the changes made to the Bases Worksheet. At this point, changes to the Bases Worksheet have been retained in the Worksheet and processed by the Workbook, but not saved permanently. Saving changes to the Bases Worksheet requires the user do so explicitly using standard MS Excel methods for saving a Workbook. Run PropOps | CloseProposal from the main Menu Bar. Note that a dialog box is opened that gives you the choice of saving or discarding changes to the subject proposal Workbook.

10. Besides providing two fast and powerful methods for performing real-time sensitivity analyses, the Proposal Analyzer accomplishes several other useful operations. PropOps | SummaryTables is used to create or delete a set of nine (9) standard Worksheets that contain summary data for a user-specified cost element, either its base or amount values. A separate Worksheet is created for each of the standard proposal structures handled by the System. Note the Proposal Analyzer will populate the subject Worksheets only to the extent structure and segment data has been entered into the database using the Proposal Builder. Run PropOps | SummaryTables | Create. Scroll down to Engineering in the Select Cost Element Dialog Box and click the OK Button. Next, select Base Values in the Select Basis of Summary Tables Dialog Box and click the OK Button. Notice that nine (9) new Worksheet Tabs, one for each of the newly created Summary Worksheets, have been added to the Worksheet Bar. Each Worksheet name starts with ST_, followed by the structure type and then by either NRR, NR or R representing non-recurring and recurring combined, non-recurring only and recurring only, respectively. Left-click on several of the new Worksheet Tabs and review the data. Next, Run PropOps | SummaryTables | Create again. Scroll down to Total Price in the Select Cost Element Dialog Box and click the OK Button. Select Amount Values in the Select Basis of Summary Tables Dialog Box and click the OK Button. Notice that the names of the Summary Worksheet Tabs have stayed the same. Left-click on several of the new Worksheet Tabs and review the data. Observe that the values have changed from Engineering bases (i.e., hours) to Total Price amounts (i.e., dollars). PropOps | SummaryTables | Delete could be used to delete the nine newly created Worksheets. However, don't delete them yet, as they will be used later as part of the database for PerformComps, the System's proposal comparison routine.

11. Another useful feature of the Proposal Analyzer is its ability to calculate and store loaded rates. A loaded rate is the total amount associated with buying or selling one unit of a direct input element. For example, the buyer and seller may agree that the total charge for each hour of Engineering labor will be $87.72 in CY 2020 or that the total charge for each hour of Senior Engineering labor will be $118.64 in CY 2021. Loaded rates are typically included in a separate contract rate table and used when work is added to a contract using individual Task Orders. Run PropOps | LoadedRates | Create. Notice that for each direct input element a new Worksheet Tab has been created and added to the Worksheet Bar. Each Worksheet name starts with the prefix LR, followed by a sequential number and the Underline character, and finishes with a unique Element Code. Left-click on several of the new Worksheet Tabs and review the data. Notice that each Worksheet shows the complete derivation of the loaded rate by cost element. Next, run PropOps | LoadedRates | Summarize. Scroll down to Total Price in the Select Cost Element Dialog Box and click the OK Button. Left-click on newly created Worksheet Tab LR_Summary and observe that the Total Price amounts by period have been consolidated for all direct input elements. Usually, Total Price amounts are used in contract rate tables. However, Total Cost amounts could be used in a situation where fee is based entirely on Award Fee considerations. The Proposal Analyzer is very flexible, since you specify which cost element to use for consolidation. Run PropOps | LoadedRates | Summarize again. Scroll down to Total Cost in the Select Cost Element Dialog Box and click the OK Button. Left-click on Worksheet Tab LR_Summary and observe the Worksheet values have been overwritten, so that now the Total Cost amounts by period have been consolidated for all direct input elements. To unclutter the Worksheet Bar, run PropOps | LoadedRates | Delete. Notice that all loaded rates Worksheets have been deleted, including the Summary. As just demonstrated, they can be recreated very quickly and easily, whenever desired.

12. The Proposal Analyzer includes a proposal comparison routine, PerformComps, that is potentially very useful. It can be used on competitive acquisitions to compare proposals from different offerors and in-house estimates. On sole-source acquisitions it can be used to compare successive proposals and proposed, objective and negotiated positions. If actual costs are recorded using the same cost elements and structures as proposed/negotiated costs, the routine can be used to track proposed/negotiated costs versus actuals on the same effort, or actuals on successive efforts. The source data for each proposal is the set of Worksheets created by running PropOps | SummaryTables | Create. A proposal's set of summary tables must have been created before PerformComps can process the proposal. Valid comparison requires that each proposal's summary Worksheets be created using comparable cost elements and either base or amount values. Valid comparison also requires that all proposals have common structures (i.e., CLINs, WBS Items and SOW Items). After the user specifies the baseline proposal, all other proposals are compared to its structure items. The routine uses the Item IDs as the key for comparison. Only an exact match between a non-baseline proposal structure item and a baseline proposal structure item will result in the data for the non-baseline proposal being written to the applicable Worksheet in the consolidated Workbook. The routine ignores non-matches. Notwithstanding non-identical structures among proposals, to the extent they are common, the consolidated data may still be useful for comparison purposes at higher levels in the structure hierarchies. Run PropOps | CloseProposal to close the open proposal and enable PerformComps; then, run PerformComps. Select proposal file sp1w1.xlsm in the Select Name of Comparison Baseline Proposal File Dialog Box. Next, select the Name of the Comparison Summary xlsm file (e.g., ProposalComparisonSummary) in the Specify Name of Comparison Summary File Dialog Box. Next, select proposal file sp1w2.xlsm in the Select Name of Next Comparison Proposal File Dialog Box. Unless you have already created a set of summary Worksheets for spsw2.xlsm, the System will display an Application Error Message Box. If so, cancel the operation; open spsw2.xlsm; create a set of summary Worksheets for it; save them; and close the proposal. If necessary, review how you created the summary Worksheets for sp1w1.xlsm. Now re-accomplish the PerformComps steps described above and cancel the operation after processing sp1w2.xlsm. Use ExitApp to quit the Proposal Analyzer. Use MS Excel to locate and open ProposalComparisonSummary.xlsm. Activate the various Worksheets and observe that identical values are shown for both proposals. Run the Proposal Analyzer and create a set of summary tables for proposal sp1.xlsm. Remember to save the changes to sp1.xlsm, when you close the proposal. Re-accomplish PerformComps with sp1w1.xlsm as the baseline proposal and sp1w2.xlsm and sp1.xlsm as comparison proposals; and observe the results. Use the procedures outlined above to compare other proposals, as desired.

13. At this point you have reviewed and used all Proposal Analyzer operations (i.e., real-time sensitivity analyses, summary tables, loaded rates and proposal comparison). If you feel comfortable with them, you are ready to use the Proposal Analyzer to satisfy your real analysis needs. Otherwise, you can practice the operations outlined here or try them on your own proposals to gain more familiarity with the Proposal Analyzer. In any event, you should have an appreciation of the Proposal Amalyzer's features and relatve ease of use.


AppHelp

AppHelp | Help System Overview provides an overview of the custom Help available for the System's Proposal Analyzer. While the Overview is displayed, the user can get detailed information for all Proposal Analyzer operations by opening the System Operations Book under the Contents Tab of System Help, and then selecting the desired subject.

Note that most of the System's Proposal Analyzer operations are disabled, until a proposal has been opened. Use OpenProp to open an existing proposal that must have been created using the System's Proposal Builder. For System Help purposes, menu and submenu items are designated as such by bold characters (e.g., OpenProp, PropOps | SelectStructureItem).


OpenProposal

OpenProp is used to open a user-specified proposal that the System has already translated into an MS Excel Workbook. The subject proposal Workbook must have been created by the System’s Proposal Builder as a Validation Model. A proposal must be opened before the Proposal Analyzer can perform various operations on it (i.e., before PropOps is enabled). The Proposal Analyzer is designed to allow only one proposal to be open at any given time. Use PropOps | CloseProposal to close an open proposal before attempting to open another. All proposals must be closed before the Proposal Analyzer can be used to prepare a set of proposal comparison Worksheets using PerformComps.


ProposalOperations | SelectStructureItem

PropOps | SelectStructureItem is used to select a particular structure item (i.e., CLIN, WBS or SOW) for the open proposal. The user can also specify whether to process total costs (i.e., non-recurring and recurring combined), non-recurring costs only or recurring costs only. System Help refers to these cost groupings as segments. The System's Proposal Analyzer uses the structures previously defined when the proposal was prepared using the Proposal Builder. Likewise, the Proposal Analyzer will differentiate between non-recurring and recurring costs (i.e., cost segments), only if the data has been entered into the database separately using the Proposal Builder. When the user makes a selection, the System extracts the relevant data from the Workbook's Bases Worksheet (that contains all proposal base data) and writes it to the Workbook's SyBases Worksheet (that contains base data only for the user's current selection). Next, the System automatically updates the Workbook's Summary Worksheet to reflect the selected data. The Summary Worksheet consists entirely of cell references and formulas. It's designed to collect data from other Worksheets and to process the data using the logic defined by the user in the System's Proposal Builder. There is no need for the user to make any changes directly to the Summary Worksheet. The user is warned that doing so may, and probably will, cause the Summary Worksheet to generate erroneous results.

The Workbook's SyBases and Summary Worksheets are overwritten each time the user selects a different structure item or cost segment. MS Excel's standard print capability can be used to print any particular Summary" Worksheet before it's overwritten. However, there is no need to print a Summary Worksheet just to save the results, since it can be recreated at any time, almost instantly, simply by specifying the same structure and segment.

Once a structure item and segment have been selected, the System provides two methods to do sensitivity (i.e., What if?) analyses on direct input (i.e., base) values. Use of one method versus the other is essentially a matter of whether the user wants to save the results in the Workbook. The simpler analysis method is to make changes to the SyBases Worksheet. Changes to this Worksheet flow directly into the Summary Worksheet that is updated automatically. Any number of changes can be made individually or together, with immediate results. However, since the SyBases Worksheet is overwritten whenever a structure item/segment is selected, any changes to the current Worksheet are lost, unless the entire Workbook is saved as another Workbook and no changes are made to its structure/segments in the future. The second method entails making changes to the Bases Worksheet where they can be saved in the same Workbook. Any changes made to theBases Worksheet flow through automatically to the SyBases and Summary Worksheets, in turn, whenever PropOps | SelectStructureItem is executed. The Bases Worksheet includes cost element data as entered by Task in the System's Proposal Builder, so there can be multiple entries for the same cost elements and structure items. Since the ANSI Standard doesn't include a Task Data Element, the Tasks are not identified in the Bases Worksheet. To make changing data more manageable by grouping it logically, the Proposal Analyzer includes a sort operation PropOps | SortBasesWorksheet that can be used to organize data by various cost element and structure combinations. The Bases Worksheet can, and should, be sorted whenever needed to meet the user's needs.

The System provides one method to do sensitivity (i.e., What if?) analyses on rate values, which is to make changes to the SyRates Worksheet. Changes to this Worksheet flow directly into the Summary Worksheet that is updated automatically. Any number of changes can be made individually or together, with immediate results. SyRates Worksheet values are the same for all structure items and segments and, unlike SyBases Worksheet values, they are not overwritten whenever PropOps | SelectStructureItem is executed.

Saving changes to either the Bases Worksheet or the SyRates Worksheet requires the user do so explicitly using standard MS Excel methods for saving a Workbook.


ProposalOperations | SummaryTables

PropOps | SummaryTables is used to create or delete a set of nine (9) standard Worksheets that contain summary data for a user-specified cost element, either its base or amount values. A separate Worksheet is created for each of the standard proposal structures handled by the System. The Proposal Analyzer will populate the subject Worksheets only to the extent structure and segment data has been entered into the database using the System's Proposal Builder. Names and descriptions of the System-standard Summary Worksheets are as follows:

ST_CLINNRR Summary Table for CLINs (Non-recurring and Recurring combined)

ST_CLINNR Summary Table for CLINs (Non-recurring only)

ST_CLINR Summary Table for CLINs (Recurring only)

ST_WBSNRR Summary Table for WBS Items (Non-recurring and Recurring combined)

ST_WBSNR Summary Table for WBS Items (Non-recurring only)

ST_WBSR Summary Table for WBS Items (Recurring only)

ST_SOWNRR Summary Table for SOW Items (Non-recurring and Recurring combined)

ST_SOWNR Summary Table for SOW Items (Non-recurring only)

ST_SOWR Summary Table for SOW Items (Recurring only)

The set of Worksheets created by PropOps | SummaryTables | Create can be used individually for analysis purposes. The entire set for each proposal also serves as the database for PerformComps, the Proposal Analyzer's comparative analysis routine.

The set of standard Worksheets is overwritten each time the user creates a new set. The user can save any particular Worksheet by renaming it to a System non-standard name before creating a new set. MS Excel's standard method for renaming a Worksheet is to use the Mouse to position the pointer on the applicable Worksheet Tab; click the left Mouse Button to activate the subject Worksheet; click the right Mouse Button to display the context-sensitive shortcut menu; select Rename; type the new name; and press the Enter key.

PropOps | SummaryTables | Delete deletes only the standard Worksheets identified above. One of MS Excel's standard methods for deleting a Worksheet must be used to delete any renamed Worksheets, if so desired.


ProposalOperations | LoadedRates

PropOps | LoadedRates is used to create loaded rates Worksheets for both individual direct input elements and in summary. A loaded rate is the total amount associated with buying or selling one unit of a direct input element. For example, the buyer and seller may agree that the total charge for each hour of Design Engineering labor will be $135.45 in CY 2019 or that each Computer Resource Unit will be priced at $12.60 in CY 2020. Loaded rates are typically included in a separate contract rate table and used when work is added to a contract using individual Task Orders.

PropOps | LoadedRates | Create is used to create a loaded rates Worksheet for each direct input element included in the proposal. All direct input elements are listed in the Workbook's SyBases Worksheet as Base Elements. The Loaded Rates Worksheets have the same cost element structure as the Workbook's Summary Worksheet, so the user can review the detailed buildup of the loaded rates by cost element, by estimating period. Besides being used individually, the entire set of standard Worksheets also serves as the database for PropOps | LoadedRates | Summarize, the Proposal Analyzer's routine that consolidates data in the individual Loaded Rates Worksheets into a single Worksheet. The Proposal Analyzer assigns each Loaded Rates Worksheet a three-part name that starts with the prefix LR, followed by a sequential number and the Underline character, and finishes with a unique Element Code. The Element Codes were established when the proposal was built using the System's Proposal Builder and are listed in the Workbook's SyBases Worksheet as Element Codes. LR1_AdmnSuptHrs, LR2_DesSuptHrs and LR3_DirMatl$ are examples of Loaded Rates Worksheet names. The set of standard Loaded Rates Worksheets is overwritten each time the user creates a new set. The user can save any particular Worksheet by renaming it to a System non-standard name before creating a new set. MS Excel's standard method for renaming a Worksheet is to use the Mouse to position the pointer on the applicable Worksheet Tab; click the left Mouse Button to activate the subject Worksheet; click the right Mouse Button to display the context-sensitive shortcut menu; select Rename; type the new name; and press the Enter key.

PropOps | LoadedRates | Delete deletes only the set of standard Loaded Rates Worksheets described above, as well as the consolidated Loaded Rates summary Worksheet (i.e., LR_Summary) that is created by PropOps | LoadedRates | Summarize. One of MS Excel's standard methods for deleting a Worksheet must be used to delete any renamed Loaded Rates Worksheets, if so desired.

PropOps | LoadedRates | Summarize is used to create a Loaded Rates summary Worksheet, named LR_Summary, that consolidates information from the individual Loaded Rates Worksheets. A proposal's individual Loaded Rates Worksheets must have been created using PropOps | LoadedRates | Create before PropOps | LoadedRates | Summarize can be used to prepare a summary. While contract rate tables usually include values at the total price level, since the user specifies the cost element whose data will be summarized, the summary Worksheet can show total price, total cost or any other cost element included in the Workbook's Summary Worksheet.


ProposalOperations | SortBasesWorksheet

PropOps | SortBasesWorksheet is used to sort the Workbook's Bases Worksheet, an operation that can simplify a user's sensitivity (i.e., What if?) analyses. As noted in System Help for PropOps | SelectStructureItem, the Proposal Analyzer provides the user with two methods for performing sensitivity analysis, one of which entails making changes to the Workbook's Bases Worksheet. The Bases Worksheet includes cost element data as entered by Task in the System's Proposal Builder, so there can be multiple entries for the same cost elements and structure items. Since the ANSI Standard doesn't include a Task Data Element, the Tasks are not identified in the Bases Worksheet. To make changing data more manageable by grouping it logically, the Proposal Analyzer includes a sort operation PropOps | SortBasesWorksheet that can be used to organize data by various cost element and structure combinations. The Bases Worksheet can, and should, be sorted whenever needed to meet the user's needs.


ProposalOperations | LoadedRates

PropOps | BaseAndRateColumnDisplay is used to hide or unhide Base and Rate columns in a proposal’s Cost Model.

PropOps | BaseAndRateColumnDisplay | HideColumns is used to hide Base and Rate columns in a proposal’s Cost Model, so that only the Amount columns are displayed. All data is retained in the proposal Workbook, so the Base and Rate columns can be displayed in their original states, if desired.

PropOps | BaseAndRateColumnDisplay | UnhideColumns is used to display the Base and Rate columns in a proposal’s Cost Model that were previously hidden by Menu Operation PropOps | BaseAndRateColumnDisplay | HideColumns.


ProposalOperations | CloseProposal

PropOps | CloseProposal is used to close an open proposal. The Proposal Analyzer is designed to allow only one proposal to be open at any given time. Use PropOps | CloseProposal to close an open proposal before attempting to open another. All proposals must be closed before the Proposal Analyzer can be used to prepare a set of proposal comparison Worksheets using PerformComps.


PerformComps

PerformComps is used to consolidate data from multiple proposals into a single Workbook. The source data for each proposal is the set of Worksheets created by running PropOps | SummaryTables | Create. A proposal's set of summary tables must have been created before PerformComps can process the proposal. The PerformComps proposal comparison routine is potentially very useful. It can be used on competitive acquisitions to compare proposals from different offerors and in-house estimates. On sole-source acquisitions it can be used to compare successive proposals and proposed, objective and negotiated positions. If actual costs are recorded using the same cost elements and structures as proposed/negotiated costs, the routine can be used to track proposed/negotiated costs versus actuals on the same effort, or actuals on successive efforts.

As noted in System Help for PropOps | SummaryTables, the set of nine (9) standard summary Worksheets created by PropOps | SummaryTables | Create contain summary data for a user-specified cost element, either its base or amount values. Valid comparison requires that each proposal's summary Worksheets be created using comparable cost elements and either base or amount values. For example, Total Price, by definition, is an amount value that is comparable for all proposals. Also, while individual labor categories can differ among proposals, Total Labor, by definition, is comparable for all proposals. However, since the user could logically summarize it by either its base or amount values, care must be taken to ensure the same type of value has been used for all proposals that are being compared.

Valid comparison also requires that all proposals have common structures (i.e., CLINs, WBS Items and SOW Items). After the user specifies the baseline proposal, all other proposals are compared to its structure items. The routine uses the Item IDs as the key for comparison. Only an exact match between a non-baseline proposal structure item and a baseline proposal structure item will result in the data for the non-baseline proposal being written to the applicable Worksheet in the consolidated Workbook. The routine ignores non-matches. If a non-baseline proposal includes structure items that are not included in the baseline proposal, the data for the non-baseline proposal will be incomplete. Notwithstanding non-identical structures among proposals, to the extent they are common, the consolidated data may still be useful for comparison purposes at higher levels in the structure hierarchies. However, the user must be aware that, while the data for higher levels in the hierarchy may be accurate, because data for non-matched items is ignored, values for lower levels in the hierarchies may not add up to values for higher levels, except for the baseline proposal.


Proposal Builder Menu Command Summary

PropAdmn (Main Menu)

Compact

ProposalDatabase : Defragment a Specified System Proposal

MainDatabase : Defragment the System’s Main Database File

Encrypt/Decrypt : Encrypt or Decrypt a System Proposal

Fix : Attempt to Repair a Damaged System Proposal

Backup : Copy an Existing System Proposal to a Specified Storage Device and Folder as Protection Against Loss or Damage to the Subject Proposal

Copy

EntireProposal : Create a New System Proposal as a Duplicate of a Specified System Proposal and Save It to a Specified Storage Device and Folder

LogicandElements : Create a New System Proposal with the Cost Logic and Elements of a Specified System Proposal and Save It to a Specified Storage Device and Folder

Delete : Delete a Specified System Proposal from Storage (Recovery not Possible)

Rename : Change the Name of an Existing System Proposal and/or Move It from Its Current Folder to a New Folder

Information : Show Pertinent System Information

Passwords

Proposal

Set : Assign Password Protection to a Specified System Proposal

Remove : Remove Password Protection from a Specified System Proposal

System

Set : Assign Password Protection to the Main Database File

Remove : Remove Password Protection from the Database File

DeActivate : Deactivate the Proposal Builder Application on the Current Computer in Preparation for Transfer to Another Computer

PropOpen

Old : Activate a Specified System Proposal that Already Exists

New : Create and Activate a New System Proposal

DefaultFileFolder : Set the Active Folder (Default Subdirectory Path) When the System is Started

UserAccess

Customize : Enable and Disable Selected System Menu items (Used for System Administration)

Password

Set : Assign Password Protection to the UserAccess Menu item

Remove : Remove Password Protection from the UserAccess Menu Item

Help

HelpSystemOverview : Basic Guidance on Obtaining System Help

About SPS : Displays Information About the Standard Proposal System

Exit

No : Stop the Exit Process and Remain in the System

Yes : Exit the System

PropAdmn (Proposal Menu)

Information

Proposal : Show Pertinent Information for the Active Proposal

System : Show Pertinent System Information

MonitorTaskStatus : Track Proposal Data Entry Status by Task for the Active Proposal

ValueEntryTemplates

Define : Define Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

PrintTable : Print a Summary Table of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

ViewTable : View/Display a Summary Table of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

ChartTable : View/Display a Summary Table and Graphs of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

Settings

ANSIFileStructure : Specify the Data Elements to Be Included in the ANSI Proposal File for the Active Proposal (TS 805, Rate Element Identification Segments, Hierarchical Structure References and TS 251)

ExternalFileImport : View and Change the Import Method and Field Delimiter for Each External File Whose Data Can Be Imported Into the System for the Active Proposal

TS251BOMDataEntryMode : Specify Whether Base Unit Prices are to Be Adjusted and, If So, by Dollar Entries or by Factors for the Active Proposal

WBSFormat : Change the Format of the Work Breakdown Structure

BuildStructure

Element : Define the Active Proposal’s Cost Elements

Period : Define the Active Proposal’s Performance and Cost Estimating Periods

LineItem : Define the Active Proposal’s Line Item Numbers

WBS : Define the Active Proposal’s Work Breakdown Structure Items

SOW : Define the Active Proposal’s Statement of Work Items

Task : Define the Active Proposal’s Basic, Underlying Structure

CostLogic : Define the Active Proposal’s Cost Element Relationships and Estimating Formulas

DataEntry

DetailedCostData

Bases : Enter Direct Inputs for the Active Proposal by Cost Element and Task

Rates : Enter Rates and Factors for the Active Proposal by Cost Element

TS251PricingSupport

EssentialAdmnData : Enter Essential Administrative Data for the Pricing Support That Will Be Included as a Separate Transaction Set 251 for the Active Proposal

BillofMaterial : Enter a Bill of Material That Will Be Included in a Separate Transaction Set 251 for the Active Proposal

Essential : Enter Essential Administrative Data for the Active Proposal

Non-Essential

RelatedTransactionSets : Enter References to Other Related Transaction Sets for the Active Proposal

PertinentParties : Identify Pertinent Organizations and Provide Relevant Information for the Active Proposal

LineItemDetails : Identify Each Line Item Being Proposed and Provide Details for the Active Proposal

ContractandCASData : Provide Contract and Cost Accounting Standards Data for the Active Proposal

MonetaryAmounts : Specify Total Monetary Amounts for the Active Proposal

GeneralText : Enter Information into the Active Proposal Not Included Elsewhere

ControlSegments

InterchangeControlSegment : Define an Interchange of One Functional Group and Provide Control Information for the Active Proposal

FunctionalGroupSegment : Define a Functional Group and Provide Control Information for the Active Proposal

ANSI

Translate

ProposalSegmentsOnly : Translate the Active Proposal into an ASCII Text File Using ASC X-12 Standards With No Control Segment Enclosure

AllSegments

SingleProposal : Translate the Active Proposal into an ASCII Text File Using ASC X-12 Standards and Enclose It Within Specified Control Segments

MultipleProposals : Translate the Active Proposal and Other Specified Proposals into an ASCII Text File Using ASC X-12 Standards and Enclose It Within Specified Control Segments

Copy : Create a Duplicate of the Translated ASCII Text File for the Active Proposal and Save It to a Specified Storage Device and Subdirectory

Delete : Delete an Active Proposal’s Translated ASCII Text File

ValidationModel

Create : Convert a Proposal’s ANSI .txt File into an MS Excel Workbook

Structure

SetAmountColumnsDecimalPlaces : Set Decimal Places and Rounding for Amount Columns

SetBaseColumnsDecimalPlaces : Set Decimal Places only (i.e., no Rounding) for Base Columns

SetRateColumnsDecimalPlaces : Set Decimal Places only (i.e., no Rounding) for Rate Columns

Import

Data

BillofMaterial : Import Bill of Material Data into the Active Proposal from an External File

DirectInputs : Import Numeric Base Data into the Active Proposal from an External File

RatesandFactors : Import Numeric Rate Data into the Active Proposal from an External File

Structure

Element : Import Cost Element Structure into the Active Proposal from an External File

LineItem : Import Line Item Structure into the Active Proposal from an External File

WBS : Import Work Breakdown Structure into the Active Proposal from an External File

SOW : Import Statement of Work Structure into the Active Proposal from an External File

Help

HelpSystemOverview : Basic Guidance on Obtaining System Help

About SPS : Displays Information About the Standard Proposal System

MainMenu

No : Remain in the Proposal Menu

Yes : Return to the System’s Main Menu

Exit

No : Stop the Exit Process and Remain in the System

Yes : Exit the System


Proposal Analyzer Menu Command Summary

OpenProp : Open a User-Specified Proposal

PropOps

SelectStructureItem : Select a Particular Structure Item (i.e., CLIN, WBS or SOW) for an Open Proposal

SummaryTables

Create : Create a Set of Worksheets for an Open Proposal that Contains Summary Data for a User-Specified Cost Element, Either Its Base or Amount Values

Delete : Delete a Set of Worksheets for an Open Proposal that Contains Summary Data for a User-Specified Cost Element

LoadedRates

Create : Create a Loaded Rates Worksheet for Each Direct Input Element Included in an Open Proposal

Delete : Delete the Set of Loaded Rates Worksheets for Each Direct Input Element Included in an Open Proposal

Summarize : Create a Loaded Rates Summary Worksheet that Consolidates Information from the Individual Loaded Rates Worksheets

SortBasesWorksheet : Sort a Proposal Workbook’s “Bases” Worksheet to Simplify User Sensitivity Analysis

CloseProposal : Close an Open Proposal

PerformComps : Consolidate Data from Multiple Proposals into a Single Workbook

AppHelp

Help System Overview : Basic Guidance on Obtaining System Help

About SPS : Display Information About the Standard Proposal System

ExitApp

No : Stop the Exit Process and Remain in the System

Yes : Exit the System